Cloady Docs
API ReferenceEndpointsDomains

Create a new domain for an app

POST
/api/workspaces/{workspaceSlug}/apps/{appSlug}/domains
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string
appSlug*string

Query Parameters

env?string

Value in

  • "production"
  • "preview"
  • "development"
region?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/workspaces/string/apps/string/domains" \  -H "Content-Type: application/json" \  -d '{    "host": "string"  }'
{  "domain": {    "id": "string",    "host": "string",    "isPrimary": true,    "redirectTo": "string",    "port": 0,    "createdAt": "string"  }}